package intrinsic.mx.styles;

public class StyleProxy extends Object implements intrinsic.mx.styles.ISimpleStyleClient, intrinsic.mx.styles.IStyleClient {

	/** Accessors */
	public Object styleName;
	public intrinsic.mx.styles.CSSStyleDeclaration styleDeclaration;
	public String className;
	public Object nonInheritingStyles;
	public Object inheritingStyles;
	public Object filterMap;
	public intrinsic.mx.styles.IStyleClient source;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public StyleProxy() {
}

public StyleProxy(intrinsic.mx.styles.IStyleClient arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void styleChanged(String arg0);
public native void regenerateStyleCache(boolean arg0);
public native void clearStyle(String arg0);
public native intrinsic.Array getClassStyleDeclarations();
public native void registerEffects(intrinsic.Array arg0);
public native void notifyStyleChangeInChildren(String arg0, boolean arg1);
public native void setStyle(String arg0, Object arg1);
public native void regenerateStyles();
public native Object getStyle(String arg0);

}
